This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 683472

Summary: konsole does not support Non Latin Domain Names
Product: [Fedora] Fedora Reporter: Miroslav Suchý <msuchy>
Component: konsoleAssignee: Ngo Than <than>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: aalam, i18n-bugs, jreznik, kevin, ltinkl, rdieter, rnovacek, ry, smparrish, tagoh, than
Target Milestone: ---Keywords: i18n, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-06 10:24:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Miroslav Suchý 2011-03-09 08:58:18 EST
Description of problem:
I have machine with non-latin domain name:
xn--ufuk-xpa16d5h.lab.FILTERED
Which is Internacionalized domain name (http://en.wikipedia.org/wiki/Internationalized_domain_name) for
žufuřík.lab.FILTERED
When I use konsole and ssh to that machine the tab in konsole show xn--ufuk-xpa16d5h, while I would expect there žufuřík

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/konsole
kdebase-4.5.5-1.fc14.x86_64


How reproducible:
always

Steps to Reproduce:
1. startup konsole, make sure the tabs at the bottom are visible
2. ssh to machine with IDN hostname
3. see tab label
  
Actual results:
tab label is hostname in Pune encoding

Expected results:
tab label is hostname in Unicode


Additional info:
Comment 1 Rex Dieter 2011-03-09 09:27:50 EST
Interesting, this would best be sent upstream, bugs.kde.org, preferably by someone who is experiencing the bug, so you can have a dialog with developers about testing and potential fixes.
Comment 2 Kevin Kofler 2011-03-09 09:35:24 EST
Well, I don't know if that's what's happening here (What does Konqueror show if you enter the same domain there, e.g. with an sftp:// URL?), but by design, KDE only shows IDNs from certain whitelisted domains to protect against lookalike character attacks (used for phishing scams). For domains which don't have strictly enforced rules against lookalike characters (e.g. enforced character whitelists), the Punycode notation is shown instead. This is a security feature, and as such, it is unlikely to be negotiable.
Comment 3 Miroslav Suchý 2011-03-09 10:24:19 EST
Rex, even if upstream provide some binary, I would not be able to test it. I'm not willing to break my workstation. I would much prefer if Fedora maintainer can communicate with upstream.

Kevin, I do not think it the same case. While in Konqueror you can easily click on link (even in email) and get to that page, in konsole it is different. You have to first ssh there. You could not do that by mistake. And I would much rather to prefer to have in tab Unicode representation of hostname rather then Pune encoding.
I do not see any security risk here. 
I do not want any change in Konqueror, just in Konsole.
Comment 4 Akira TAGOH 2011-11-21 04:09:47 EST
that would be nice to add a bug reference here if one has already been filed. so we can easily track it down.

aside from that, any info or result of testing on the latest version is welcome.
Comment 5 Kevin Kofler 2011-11-21 04:37:46 EST
This really needs to be reported directly to upstream. We will CC ourselves on the bug.

Upstream will not provide a binary, they will provide a patch. I haven't seen upstream give out binaries for bug fixes, ever (except maybe for Window$-specific bugs), and besides they'd have to give out the corresponding patch anyway to comply with their own license. We can do a test build when upstream provides a patch.

But I'm unwilling to change this in Fedora without upstream's input.
Comment 6 Akira TAGOH 2011-11-21 06:08:48 EST
Definitely this should be reported upstream if not yet. unfortunately I don't have any access to the box having the internationalized domain name. so can't test this. that would be nice if there are alternatives.

Moving this to rawhide, because I guess it may still persists if it's not yet reported upstream.
Comment 7 Miroslav Suchý 2011-11-21 06:58:21 EST
For those who work for Red Hat (Akira or Than) I can provide box with internationalized domain name. Send me privately what distribution (F16 or rawhide?) you want there, and I will provide you hostname and credentials.
Comment 8 Jekyll Wu 2012-05-06 04:20:31 EDT
So, where is the upstream report :) ?
Comment 9 Jekyll Wu 2012-11-02 23:43:19 EDT
OK, where is the upstream report? It will never be fixed/implemented before the reporter reports the issue to the upstream.

Yes, I (a konsole contributor) have seen this report. But I will almost certainly forget it the next day (again),  because it is not tracked on bugs.kde.org.
Comment 10 Miroslav Suchý 2012-11-05 04:33:47 EST
I - as reporter of this bug - found it in Fedora. I have no account on bugs.kde.org, I have no idea what is the process there. I have no idea whether it is fixed in upstream or not - and I have no way to test it.
But I expect that Fedora KDE maintainers can do that very easily. And *if needed* KDE maintainer will report it to upstream. Or rebase to new version *if* it is fixed in upstream.
Comment 11 Kevin Kofler 2012-11-05 11:30:54 EST
For better or for worse, the expectation around here is that users report the issues directly to upstream themselves rather than relying on a middleman who has to bounce all needed communication back and forth.
Comment 12 Miroslav Suchý 2012-11-06 03:28:06 EST
I learn about IDN just about month before submiting this bug, when I worked on support of IDN in Spacewalk. During my work I find that there are some programs, which does not support IDN. I thought that I will make world better and will notice their developers, that there is something called IDN, which they probably never heard before and that their code/program does not support it. And konsole was just one of many programs I hit.
But that is all. I find my time to report it, but I have no time to persuade it further.

I always thought that package maintainer should *maintian* the package in distribution. And one of his task is to *be* bridge between distribution users and upstream. But if you think you are just packaging new version of upstream code and nothing else, then please close this bug as CLOSED-I-DO-NOT-CARE, because I do not care either - and I do not mean it bad - I do own or use IDN domain, and it does not block me in my work.
Comment 13 Jekyll Wu 2012-11-12 07:17:32 EST
(In reply to comment #10)
> I have no account on bugs.kde.org

Then create one. That is one minute's work.

> I have no idea what is the process there. 

Neither do I when I created my very first bug report there. Nobody knows it before doing it. No need to scare yourself.

Actually it is easy, just go to https://bugs.kde.org/enter_bug.cgi?product=konsole&format=guided


> I have no idea whether it is fixed in upstream or not - and I have no way to test it.

You are worrying too much. I don't expect average users to confirm my fix after I provide and apply a patch. But without receiving a bug report, nothing will happen.

> But I expect that Fedora KDE maintainers can do that very easily. 

Sure I believe they know how to do it. But I don't think they have the time/energy to forward all reports to whatever upstream. That simply won't scale.


(In reply to comment #12)

> I thought that I will make world better and will notice their developers, that > there is something called IDN, which they probably never heard before and that > their code/program does not support it. 

That is really nice. 


> But that is all. I find my time to report it, but I have no time to persuade
> it further.

You are scaring yourself, again. Reporting it to bugs.kde.org won't take you more time than reporting it here.


> I always thought that package maintainer should *maintian* the package in
> distribution. And one of his task is to *be* bridge between distribution
> users and upstream. But if you think you are just packaging new version of
> upstream code and nothing else, then please close this bug as
> CLOSED-I-DO-NOT-CARE, because I do not care either - and I do not mean it
> bad - I do own or use IDN domain, and it does not block me in my work.


I think this report is a typical example of that bridge: identify the problem is not due to fedora's packaging mistake, then ask reporter to report it to the upstream. That is how a community works. If all work goes to the maintainer, then the end result is likely to be no reports being forwarded at all.


> Resolution|---                         |WONTFIX

Great, problem solved.  

Just in case someone misunderstands, that "WONTIX" can mean anything except "KDE WONTFIX IT"

Actually, it turns out I have fixed it in a private branch a few months ago, and then unsurprisingly just forgotten it. Why have I forgot?  Because there is no report on bugs.kde.org reminding me of this "not-bothering-myself" issue.

There is another reason I insist a report created on bugs.kde.org beside reminding of developers:  we need a central place to record all known and fixed issues.  A report on fedora tracker is clearly useless for that purpose.

So it is not up to me to decide when this will be fixed. I just wait for a report on bugs.kde.org.

Remove myself from CC list. I really have forgot this report, again.